%define name    audiokonverter
%define pre   	%nil
%define version 5.5.1
%define release %mkrel 3

%define iconname %{name}.png
%define build_plf 0

Summary:	An audio converter
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
Source0:	%{name}-%{version}%{pre}.tar.bz2
URL:		http://www.kde-apps.org/content/show.php?content=12608
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	kdebase-progs
Requires:	mplayer flac wavpack
Requires:	id3lib vorbis-tools 
BuildArch:	noarch

%if %build_plf
%define distsuffix plf
Requires:	lame faac faad2 
%else
Patch0:		audiokonverter-noflac.patch
%endif

%description 
audiokonverter is a small utility to easily convert from OGG, MP3,
AAC, M4A, FLAC, WMA, RealAudio, Musepack, Wavpack, WAV and movies to
MP3, OGG, M4A, WAV and FLAC in Konqueror by right-clicking on them.

%prep
%setup -q -n %{name}-%{version}%{pre}
%if !%build_plf
%patch0 -p1 -b .nolame
%endif
 
%install
mkdir -p %{buildroot}%{_bindir}
install -m755 anytowav audioconvert movie2sound %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/apps/konqueror/servicemenus/
install -m 644 audioconvert.desktop audiofrommovie.desktop %{buildroot}%{_datadir}/apps/konqueror/servicemenus/

%clean 
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc README Changelog
%{_bindir}/* 
%{_datadir}/apps/konqueror/servicemenus/




%changelog
* Thu Jun 19 2008 Thierry Vignaud <tvignaud@mandriva.com> 5.5.1-3mdv2009.0
+ Revision: 226200
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 28 2007 Adam Williamson <awilliamson@mandriva.com> 5.5.1-2mdv2008.1
+ Revision: 138986
- fix #34694 (x-wavpack.desktop is in kdelibs now)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 04 2007 David Walluck <walluck@mandriva.org> 5.5.1-1mdv2008.0
+ Revision: 78907
- 5.5.1


* Thu Dec 07 2006 Lenny Cartier <lenny@mandriva.com> 5.4.3a-1mdv2007.1
+ Revision: 92049
- Import audiokonverter

* Tue Aug 29 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 5.4.3a-1mdv2007.0
- 5.4.3a
- remove useless info from description
- wipe out buildroot in %%install, not %%prep
- package is GPL, drop 'COPYING'

* Sat May 06 2006 Nicolas Lécureuil <neoclust@mandriva.org> 5.4.2-2mdk
- 5.4.2
- Rediff Patch 0

* Sun Mar 19 2006 Austin Acton <austin@mandriva.org> 5.3-1mdk
- from Jerome Martin <jerome.f.martin@free.fr>
- some minor tidying

